summaryrefslogtreecommitdiff
path: root/deps/v8/test/test262/prune-local-tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deps/v8/test/test262/prune-local-tests.sh')
-rwxr-xr-xdeps/v8/test/test262/prune-local-tests.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/deps/v8/test/test262/prune-local-tests.sh b/deps/v8/test/test262/prune-local-tests.sh
new file mode 100755
index 0000000000..a0c309bbe3
--- /dev/null
+++ b/deps/v8/test/test262/prune-local-tests.sh
@@ -0,0 +1,15 @@
+# Copyright 2016 the V8 project authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# usage: test/test262/prune-local-tests.sh
+# This script removes redundant tests present in the local-tests directory
+# when they are identical to upstreamed tests. It should be run as part of
+# the test262 roll process.
+
+find -f test/test262/local-tests | while read localpath; do
+ datapath=${localpath/local-tests/data}
+ if diff $localpath $datapath >/dev/null ; then
+ git rm $localpath || exit 1
+ fi
+done